Name:           lgogdownloader-no-gui
%global real_name lgogdownloader
Version:        3.15
Release:        2%{?dist}
Summary:        LGOGDownloader is unofficial downloader to GOG.com for Linux users (No GUI)

License:        WTFPL
URL:            https://github.com/Sude-/lgogdownloader
Source:         %{url}/releases/download/v%{version}/%{real_name}-%{version}.tar.gz

Conflicts:  lgogdownloader

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  tinyxml2-devel
BuildRequires:  rhash-devel
BuildRequires:  libtidy-devel
BuildRequires:  jsoncpp-devel
BuildRequires:  libcurl-devel
BuildRequires:  boost-devel
BuildRequires:  boost-program-options
BuildRequires:  boost-regex
BuildRequires:  boost-iostreams
BuildRequires:  boost-date-time
BuildRequires:  boost-filesystem
BuildRequires:  boost-system

%if 0%{?fedora} < 40
BuildRequires:  zlib-devel
%endif

%if 0%{?fedora} >= 40
BuildRequires:  zlib-ng-compat-devel
%endif

%description
LGOGDownloader is unofficial downloader to GOG.com for Linux users.
It uses the same API as the official GOG Galaxy. 
Without Qt6 GUI.

%prep
%setup -n %{real_name}-%{version}


%build
%cmake . -DCMAKE_BUILD_TYPE=Release -DUSE_QT_GUI=OFF
%cmake_build


%install
%cmake_install
install -Dm 644  "%{_builddir}/%{real_name}-%{version}/COPYING" -t "%{buildroot}%{_datadir}/licenses/%{real_name}"


%files
%{_datadir}/licenses/lgogdownloader/COPYING
%{_bindir}/lgogdownloader
%{_mandir}/man1/lgogdownloader.1.gz

%changelog
* Tue Sep 03 2024 Countdown2442 <Countdown2442@proton.me> - 3.15-2
- Make package conflict with gui counterpart
- Rename licenses subdir

* Tue Sep 03 2024 Countdown2442 <Countdown2442@proton.me> - 3.15-1
- Initial version of package
